Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class AccessControlListResolver.AccessEntry

    java.lang.Object
      oracle.ifs.server.AccessControlListResolver.AccessEntry

Enclosing class:
  AccessControlListResolver

    protected final class AccessControlListResolver.AccessEntry

extends java.lang.Object

Inner class for managing Access entries per user for non-conforming ACLs.

Field Summary
`java.lang.Long` | `m_GranteeId` The entry's key
`boolean` | `m_Immutable` Whether the entry is unchangeable.
`AccessLevel` | `m_Level` The entry's level

Constructor Summary
`AccessControlListResolver.AccessEntry(java.lang.Long id, AccessLevel level)` Constructs an AccessEntry

Method Summary
`void` | `grantAccess(AccessLevel grantedLevel, S_LibrarySession sess)` Aply additional premissions for this entry
`boolean` | `isImmutable()` return immutable state
`boolean` | `noAccess()` Returns true if no access is granted for this entry.
`void` | `revokeAccess(AccessLevel grantedLevel, S_LibrarySession sess)` Revokes permissions for this entry.
`void` | `setImmutable()` Set as immutable; for conforming group entries

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_GranteeId

    public java.lang.Long m_GranteeId

  Description copied from class: `AccessControlListResolver.AccessEntry`
  The entry's key

### m_Level

    public AccessLevel m_Level

  Description copied from class: `AccessControlListResolver.AccessEntry`
  The entry's level

### m_Immutable

    public boolean m_Immutable

  Description copied from class: `AccessControlListResolver.AccessEntry`
  Whether the entry is unchangeable.

Constructor Detail

### AccessControlListResolver.AccessEntry

    public AccessControlListResolver.AccessEntry(java.lang.Long id,
                                                 AccessLevel level)
                                          throws IfsException

  Constructs an AccessEntry

  Parameters:
    `id` - the user ID
    `level` - the access (standard permissions only)
  Throws:
    `IfsException`

Method Detail

### setImmutable

    public void setImmutable()

  Description copied from class: `AccessControlListResolver.AccessEntry`
  Set as immutable; for conforming group entries

### isImmutable

    public boolean isImmutable()

  Description copied from class: `AccessControlListResolver.AccessEntry`
  return immutable state

  Returns:
    true iff immutable

### grantAccess

    public void grantAccess(AccessLevel grantedLevel,
                            S_LibrarySession sess)
                     throws IfsException

  Description copied from class: `AccessControlListResolver.AccessEntry`
  Aply additional premissions for this entry

  Parameters:
    `grantedLevel` - the additional access (standard permissions only)
  Throws:
    `IfsException`

### revokeAccess

    public void revokeAccess(AccessLevel grantedLevel,
                             S_LibrarySession sess)
                      throws IfsException

  Description copied from class: `AccessControlListResolver.AccessEntry`
  Revokes permissions for this entry.

  Parameters:
    `grantedLevel` - the permissions to revoke (standard permissions only)
  Throws:
    `IfsException`

### noAccess

    public boolean noAccess()

  Description copied from class: `AccessControlListResolver.AccessEntry`
  Returns true if no access is granted for this entry.

  Returns:
    true if no access is granted for this entry

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD